<?php

namespace CRM\Service;

use CRM\Factory\CrmConfiguracoesDeEvolucaoFactory;
use Teknisa\Libs\Util\Environment;
use Teknisa\Libs\Util\NewCode;
use Doctrine\ORM\EntityManager;

class CrmConfiguracoesDeEvolucaoService
{

    protected $ConfiguracoesDeEvolucaoFactory;
    protected $Environment;
    protected $newCode;
    protected $connection;

    public function __construct(Environment $Environment, NewCode $newCode, EntityManager $entityManager, CrmConfiguracoesDeEvolucaoFactory $ConfiguracoesDeEvolucaoFactory)
    {
        $this->ConfiguracoesDeEvolucaoFactory   = $ConfiguracoesDeEvolucaoFactory;
        $this->Environment                      = $Environment;
        $this->newCode                          = $newCode;
        $this->connection                       = $entityManager->getConnection();
    }

public function getCrmConfiguracoesDeEvolucao()
    {
        return $this->ConfiguracoesDeEvolucaoFactory->getCrmConfiguracoesDeEvolucao();
    }
}