<?php

namespace CRM\Controller;

use Zeedhi\Framework\DTO\Request;
use CRM\Traits\TResponse;
use CRM\Service\CrmConfiguracoesDeEvolucaoService;

class CrmConfiguracoesDeEvolucaoController
{
    protected $CrmConfiguracoesDeEvolucaoService;

    use TResponse;

    public function __construct(CrmConfiguracoesDeEvolucaoService $CrmConfiguracoesDeEvolucaoService)
    {
        $this->ConfiguracoesDeEvolucaoService = $CrmConfiguracoesDeEvolucaoService;
    }


public function getCrmConfiguracoesDeEvolucao()
    {


        try {
            $data = $this->ConfiguracoesDeEvolucaoService->getCrmConfiguracoesDeEvolucao();
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }
}